org.apache.coyote.http2

## Class HpackEncoder

- java.lang.Object
- - org.apache.coyote.http2.HpackEncoder

-     public class HpackEncoder
      extends Object

  Encoder for HPACK frames.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `HpackEncoder.HpackHeaderFunction`
    `static class` | `HpackEncoder.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HpackEncoder.HpackHeaderFunction` | `DEFAULT_HEADER_FUNCTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HpackEncoder.State` | `encode(MimeHeaders headers, ByteBuffer target)` Encodes the headers into a buffer.
    `void` | `setMaxTableSize(int newSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HEADER_FUNCTION

          public static final HpackEncoder.HpackHeaderFunction DEFAULT_HEADER_FUNCTION

  - ### Method Detail

    - #### encode

          public HpackEncoder.State encode(MimeHeaders headers,
                                  ByteBuffer target)

      Encodes the headers into a buffer.
      Parameters:
        `headers` - The headers to encode
        `target` - The buffer to which to write the encoded headers
      Returns:
        The state of the encoding process

    - #### setMaxTableSize

          public void setMaxTableSize(int newSize)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.